<?php
$this->load->helper("url");
$d=array("tituloApp"=>"Nueva Cita","menu"=>"");

$this->parser->parse("html/page/v2/header",$d);
$this->parser->parse("html/page/v2/bar",$d);
$parse["menu"]=$this->load->view("html/page/v2/php/menuHClinica",$d,true);
$parse["tituloApp"]=!isset($tituloApp)?$d["tituloApp"]:$tituloApp;
$this->parser->parse("html/page/v2/navigation",$parse);
?>
<div class="modal fade" id="mod-paciente" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="exampleModalLabel">Pacientes</h3>
                <!--<button type="button" class="close" data-dismiss="modal" aria-label="close">
                  <span aria-hidden="true">&times;</span>
                </button>-->
            </div>
            <div class="modal-body">
                <table style="width: 100%" id="listPacienteTmp" class="table table-bordered table-striped dt-responsive table-hover table-active">
                    <thead class="thead-dark">
                        <tr>
                            <th>Nombre Completo</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<div class="row">
	<div class="col-lg-6 col-md-6">
		<div class="box box-primary">
    		<div class="box-header col-lg-12">
    			<div class="form-group">
    				<h4 id="nombrePaciente" style="padding: 5px 0px"><label><a class="text-success" data-target="#mod-paciente" data-toggle="modal">Seleccione paciente</a></label></h4>
    			</div>
    		</div>
    		<form id="formCita" action="<?php echo base_url("clinica/citac/guardarCita")?>" method="post">
        		<div class="box-body">
					<div class="form-group">
						<?php 
            		    echo form_label("Asunto","asunto",array("class"=>"control-label"));
            			$asunto=array("name"=>"asunto","id"=>"asunto","value"=>$asunto,"class"=>"form-control form-control-sm","placeholder"=>"Ingrese Asunto");
            			echo form_input($asunto);
            			?>
					</div>
					<div class="form-group">
						<label>Observaciones / Comentarios</label>
						<textarea class="form-control" rows="2" id="comentarios" name="comentarios"></textarea>
					</div>
					<div class="form-group">
						<div class="row">
							<div class="col-md-6">
    							<label>Fecha de atención</label>
    							<?php 
    							$fecha=array("name"=>"fecha","id"=>"fecha","value"=>$fecha,"class"=>"form-control form-control-sm","placeholder"=>"");
    							?>
    							<div class="input-group date">
                  					<div class="input-group-addon">
                    				<i class="fa fa-calendar"></i>
                  				</div>
                  		<?php echo form_input($fecha);?>
                		</div>
    						</div>
    						<div class="col-md-6">
                                <div class="form-group">
                                  <label>Hora de Atención:</label>

                                  <div class="input-group">
                                    <input type="text" class="form-control timepicker">

                                    <div class="input-group-addon">
                                      <i class="fa fa-clock-o"></i>
                                    </div>
                                  </div>
                                  <!-- /.input group -->
                                </div>
                                <!--
    							<label>Hora de atención</label>
    							<div class="row">
    								<div class="col-md-4">
    									<select id="hora" name="hora" class="form-control">
    										<?php
    										for ($i = 0; $i < 24; $i++) {
    										    $h=$i<10?"0".$i:$i;?>
    										    <option <?php echo $h==date("H")?"selected":"";?> value="<?php echo $h?>"><?php echo $h; ?></option>
    										<?php 
    										}?>
    									</select>
    								</div>
    								<div class="col-md-4">
    									<select id="minuto" name="minuto" class="form-control">
    										<?php
    										for ($i = 0; $i < 6; $i++) {
    										    $m=$minuto;
    										    $m=$i==0?"0".$i*10:$i*10;?>
    										    <option value="<?php echo $m?>"><?php echo $m?></option>
    										<?php 
    										}?>
    									</select>
    								</div>
    								<div class="col-md-4">
    									<label>HRS</label>
    								</div>
    							</div>-->
    						</div>
						</div>
					</div>
					<?php 
					$hIdCita=array("idCita"=>$idCita);
					echo form_hidden($hIdCita);
					$hIdPaciente=array("id"=>"idPaciente","name"=>"idPaciente","value"=>$idPaciente,"type"=>"hidden");
					echo form_input($hIdPaciente);
					?>
    			</div>
    			<div class="box-footer">
    				<button type="submit" class="btn btn-primary">Guardar</button>
	    			<a href="<?php echo base_url()?>clinica/citaC/listCita" id="btnCitas" class="btn btn-success">Listar Citas</a>
    				<!--<button class="btn btn-danger">Salir</button>-->
    			</div>
    		</form>
		</div> 
	</div>
</div> 
<?php 
$this->load->view("html/page/v2/prefooter");?>
<script>
$(document).ready(function(){
	$("#fecha").datepicker({
        autoclose: true,  
        format: "dd-mm-yyyy",
        language: 'es'});
	$("#formCita").submit(function(event){	
		event.preventDefault();
		$.ajax({url: $(this).attr('action'),
			data:$(this).serialize(),
			method:"POST",
			dataType:"JSON",
			success:function(res){				
				if(res.res){
					$(location).attr("href",path+"clinica/citaC/listCita");
				}
				else{
					alert(res.message);
				}				
		  },error:function(res){
			  console.log(res.responseText);
		  }});
	});
	/*$.ajax({url:path+"/pacientes/paciente/getNombrePaciente",
		data:idPaciente,
		method:"POST",
		dataType:"JSON",
		success:function(res){				
			if(res.res){
				$(location).attr("href",path+"/clinica/citac/listCita");
			}
			else{
				alert(res.message);
			}				
	  },error:function(res){
		  console.log(res.responseText);
	  }});*/
        $.ajax({url:path+"pacientes/paciente/datosPaciente",
        data:{},
        method:"POST",
        dataType:"JSON",
        success:function(res){
            console.log(res);
            var listPaciente=$("#listPacienteTmp").DataTable({
                "paging":true,
                "searching":true,
                "destroy":true,
                "data":res.datos,
                "columns":[
                    {data:function(data){
                        return data.nombre+" "+data.appat+" "+data.apmat;
                    },className:"col-md-10"},
                    {data:function(data){
                        //var f="seleccionarPaciente('"+data.nombre+" "+data.appat+" "+data.apmat+"','"+data.idPaciente+"')";
                        var f="seleccionarPaciente('"+btoa(data.nombre+" "+data.appat+" "+data.apmat)+"',"+data.idPaciente+")";
                        //var f="seleccionarPaciente(this)";
                        return "<button onclick="+f+" class='btn btn-sm btn-warning'><i class='fa fa-hand-pointer-o'></i></button>";
                    },className:"col-md-2"}
                    /*{"data":"nombre"},
                    {"data":"appat"},
                    {"data":"apmat"},
                    {data:function(data){
                        var editar="editarPaciente('"+data.idPaciente+"')";
                        return "<button onclick="+editar+" class='btn btn-warning'><i class='fa fa-pencil'></i></button> "+
                        "<button class='btn btn-danger'><i class='fa fa-trash'></i></button>";
                    }}*/
                ]
            });
      },error:function(res){
          console.log(res.responseText);
      }});
});
function seleccionarPaciente(nombre,idPaciente)
{
    //console.log($(el).parents("tr").data());
    //idPacienteActual=idPaciente;
    $("#nombrePaciente").html(atob(nombre));
    $("#mod-paciente").modal("hide");
    //alert(atob(nombre));
}
</script>
<?php
$this->load->view("html/page/v2/footer");
?>